From abba0568170b31ec984115c07c3062e13d31cbed Mon Sep 17 00:00:00 2001
From: mm1352000 <music_man1352000@yahoo.com.au>
Date: Thu, 20 Jun 2013 23:34:28 +1200
Subject: [PATCH] Ensure that the EPG grabber is stopped when the last
 subchannel is freed.

---
 DirectShowFilters/TsWriter/source/epgDecoder.cpp            | 2 +-
 TvEngine3/TVLibrary/TVLibrary/Implementations/TvCardBase.cs | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/DirectShowFilters/TsWriter/source/epgDecoder.cpp b/DirectShowFilters/TsWriter/source/epgDecoder.cpp
index 042554a..f6c591e 100644
--- a/DirectShowFilters/TsWriter/source/epgDecoder.cpp
+++ b/DirectShowFilters/TsWriter/source/epgDecoder.cpp
@@ -1127,7 +1127,7 @@ void CEpgDecoder::ResetEPG()
 	m_prevEventIndex=-1;
 
 	m_mapEPG.clear();
-	//m_bParseEPG=false;
+	m_bParseEPG=false;
 	m_bEpgDone=false;
     m_bSorted=false;
 	m_epgTimeout=time(NULL);
diff --git a/TvEngine3/TVLibrary/TVLibrary/Implementations/TvCardBase.cs b/TvEngine3/TVLibrary/TVLibrary/Implementations/TvCardBase.cs
index b39a0d8..d78d719 100644
--- a/TvEngine3/TVLibrary/TVLibrary/Implementations/TvCardBase.cs
+++ b/TvEngine3/TVLibrary/TVLibrary/Implementations/TvCardBase.cs
@@ -712,6 +712,7 @@ namespace TvLibrary.Implementations
       if (_mapSubChannels.Count == 0)
       {
         _subChannelId = 0;
+        IsEpgGrabbing = false;  // stop the EPG grabber
      
         Log.Log.Info("tvcard:FreeSubChannel : no subchannels present, pausing graph");          
         if (SupportsPauseGraph)
-- 
1.8.1.msysgit.1

